Package: org.apache.groovy.contracts.util

## [Java] Class FieldValues

- org.apache.groovy.contracts.util.FieldValues

-     public class FieldValues
      extends Object

  This utility is meant to be used to replace direct calls to private field variables in class invariants.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T>` | `public static T` | `fieldValue(Object obj, String fieldName, Class<T> type)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### <T> @SuppressWarnings("unchecked")
      public static T fieldValue(Object obj, String fieldName, Class<T> type)